server {
	listen 80;
	server_name fastapi.geumdo.net;
	root html;
	server_tokens off;
    	fastcgi_hide_header X-Powered-By;
 
    	charset utf-8;
    	location = /favicon.ico { access_log off; log_not_found off; }
    	location = /robots.txt  { access_log off; log_not_found off; }
    	##access_log off;
    	access_log /var/log/nginx/gbtp-access.log combined;
    	error_log  /var/log/nginx/gbtp-error.log error;
    	sendfile off;
    	client_max_body_size 100m;
 
    	# Default is HTTP/1, keepalive is only enabled in HTTP/1.1
    	proxy_http_version 1.1;
 
    	# Remove the Connection header if the client sends it,
    	# it could be close to close a keepalive connection
    	proxy_set_header Connection "";
 
    	location / {
		proxy_pass http://fastapi.geumdo.net:8000;       
        	proxy_set_header        Host                    $http_host;
        	proxy_set_header        X-Real-IP               $remote_addr;
        	proxy_set_header        X-Forwarded-For         $proxy_add_x_forwarded_for;
        	proxy_set_header        X-Forwarded-Proto       $scheme;
 
        	## prevent 504 timeout. default 60s;
        	proxy_connect_timeout       90;
        	proxy_send_timeout          90;
        	proxy_read_timeout          90;
        	send_timeout                90;
 
    	}
    	location ~ /\.git {
        	deny all;
    	}
}
